Subject: Re: [PATCH] Improvev netconsole support for RTL8139 NIC driver

From: Jeff Garzik <[email-masked]>
Date: Tue, 25 Mar 2008 23:14:11 -0400

yshi wrote:
> David Miller 写道:
>> From: Jeff Garzik <[email-masked]>
>> Date: Tue, 25 Mar 2008 22:23:24 -0400
>>
>>  
>>> This is bogus -- you should never need to slow down the hot path in 
>>> such a way.
>>>     
>>
>> Slow down in what way?  Even on x86 saving the flags is just
>> about as expensive as a plain sti/cli.
>>
>> I would in fact prefer to see drivers unconditionally use
>> spin_lock_irqsave() et al. in the interrupt handler, for
>> consistency.
>>   
> Yes, I agree. Many NIC drivers do the same thing, like Gianfar, E1000, etc.

No, I just looked.  Neither gianfar nor e1000 nor e1000e does this.

In fact, gfar_transmit() is precisely an example of what I'm talking 
about:  you only need to use spin_lock() there.

	Jeff